### Method

# Json Node seal

since: 1.2

#### Declaration [src]

    void
    json_node_seal (
      JsonNode* node
    )

#### Description [src]

Seals the given node, making it immutable to further changes.

In order to be sealed, the `node` must have a type and value set. The value will be recursively sealed — if the node holds an object, that JSON object will be sealed, etc.

If the `node` is already immutable, this is a no-op.

Available since: 1.2